Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.soyc.coderef
Class MethodDescriptor

    java.lang.Object
      com.google.gwt.core.ext.soyc.coderef.EntityDescriptor
          com.google.gwt.core.ext.soyc.coderef.MemberDescriptor
              com.google.gwt.core.ext.soyc.coderef.MethodDescriptor

    public class MethodDescriptor

extends MemberDescriptor

Represents a method. Its goal is to keep as minimal information as possible and track dependencies between them. The signature is in jsni format, including the return type and the parameter types.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.core.ext.soyc.coderef.EntityDescriptor
`EntityDescriptor.Fragment`

Field Summary

Fields inherited from class com.google.gwt.core.ext.soyc.coderef.MemberDescriptor
`enclosingClassDescriptor, type`

Fields inherited from class com.google.gwt.core.ext.soyc.coderef.EntityDescriptor
`fragments, name, obfuscatedNames`

Constructor Summary
`MethodDescriptor(ClassDescriptor owner, java.lang.String jsniSignature)`

Method Summary
`void` | `addDependant(MethodDescriptor methodDescriptor)`
`void` | `addReference(com.google.gwt.dev.jjs.ast.JMethod methodRef)`
`static MethodDescriptor` | `from(ClassDescriptor classDescriptor, com.google.gwt.dev.jjs.ast.JMethod method, java.lang.String signature)` Creates a method descriptor from a JMethod with its original signature, and set its enclosing class.
`java.util.Set<MethodDescriptor>` | `getDependentMethods()`
`int[]` | `getDependentPointers()` Returns the dependent list ids.
`java.lang.String` | `getJsniSignature()` The signature of the member.
`java.util.Set<com.google.gwt.dev.jjs.ast.JMethod>` | `getMethodReferences()` Returns the set of JMethods that share the same signature.
`java.lang.String` | `getParamTypes()`
`int` | `getUniqueId()`
`static java.lang.String` | `normalizeMethodSignature(java.lang.String methodSignature)`
`void` | `setUniqueId(int uniqueId)`

Methods inherited from class com.google.gwt.core.ext.soyc.coderef.MemberDescriptor
`getEnclosingClassDescriptor, getFullName, getType`

Methods inherited from class com.google.gwt.core.ext.soyc.coderef.EntityDescriptor
`addFragment, addObfuscatedName, getFragments, getName, getObfuscatedNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodDescriptor

    public MethodDescriptor(ClassDescriptor owner,
                            java.lang.String jsniSignature)

Method Detail

### from

    public static MethodDescriptor from(ClassDescriptor classDescriptor,
                                        com.google.gwt.dev.jjs.ast.JMethod method,
                                        java.lang.String signature)

  Creates a method descriptor from a JMethod with its original signature, and set its enclosing class.

### normalizeMethodSignature

    public static java.lang.String normalizeMethodSignature(java.lang.String methodSignature)

### addDependant

    public void addDependant(MethodDescriptor methodDescriptor)

### addReference

    public void addReference(com.google.gwt.dev.jjs.ast.JMethod methodRef)

### getDependentPointers

    public int[] getDependentPointers()

  Returns the dependent list ids.

### getDependentMethods

    public java.util.Set<MethodDescriptor> getDependentMethods()

### getJsniSignature

    public java.lang.String getJsniSignature()

  Description copied from class: `MemberDescriptor`
  The signature of the member.

  Specified by:
    `getJsniSignature` in class `MemberDescriptor`
  Returns:
    The member name plus its signature

### getParamTypes

    public java.lang.String getParamTypes()

### getMethodReferences

    public java.util.Set<com.google.gwt.dev.jjs.ast.JMethod> getMethodReferences()

  Returns the set of JMethods that share the same signature.

### getUniqueId

    public int getUniqueId()

### setUniqueId

    public void setUniqueId(int uniqueId)

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD